From 547984d91dfc1eb2e13ea941d67e4f181604702d Mon Sep 17 00:00:00 2001
From: Florian Fainelli <florian@openwrt.org>
Date: Mon, 5 Nov 2007 14:14:06 +0000
Subject: [PATCH] Fix missing IP section to properly add static hosts (#2650)

SVN-Revision: 9502
---
 package/dnsmasq/files/dnsmasq.init | 2 ++
 1 file changed, 2 insertions(+)

diff --git a/package/dnsmasq/files/dnsmasq.init b/package/dnsmasq/files/dnsmasq.init
index 9797490c47..75b20df0eb 100644
--- a/package/dnsmasq/files/dnsmasq.init
+++ b/package/dnsmasq/files/dnsmasq.init
@@ -144,6 +144,8 @@ dhcp_host_add() {
 	config_get mac "$cfg" mac
 	[ -n "$mac" ] || return 0
 
+	config_get ip "$cfg" ip
+	[ -n "$ip" ] || return 0
 
 	append args "--dhcp-host=$mac,$ip"
 
-- 
GitLab